# about.cpp File Reference

About dialog implementation. More...

`#include <vector>`
`#include <gtk/gtk.h>`
`#include <gtkmm/aboutdialog.h>`
`#include <ETL/stringf>`
`#include <synfig/general.h>`
`#include <autorevision.h>`
`#include "about.h"`
`#include "app.h"`
`#include "general.h"`

## Defines

#define | VERSION "unknown"
#define | PACKAGE "synfigstudio"
#define | IMAGE_DIR "/usr/local/share/pixmaps"
#define | IMAGE_EXT "png"
#define | stringify_(x) #x
#define | stringify(x) stringify_(x)

## Variables

const guint | gtk_major_version
const guint | gtk_minor_version
const guint | gtk_micro_version
const guint | gtk_binary_age
const guint | gtk_interface_age

## Detailed Description

About dialog implementation.

$Id$

## Define Documentation

#define VERSION "unknown"

Referenced by studio::About::About(), and studio::Splash::Splash().

#define PACKAGE "synfigstudio"

#define IMAGE_DIR "/usr/local/share/pixmaps"

Referenced by studio::About::About(), studio::IconController::IconController(), and studio::Splash::Splash().

#define IMAGE_EXT "png"

Referenced by studio::About::About(), studio::IconController::IconController(), and studio::Splash::Splash().

#define stringify_ | ( | x |  | ) | #x

#define stringify | ( | x |  | ) | stringify_(x)

Referenced by studio::About::About().

## Variable Documentation

const guint gtk_major_version

Referenced by studio::About::About().

const guint gtk_minor_version

Referenced by studio::About::About().

const guint gtk_micro_version

Referenced by studio::About::About().

const guint gtk_binary_age

const guint gtk_interface_age